    PROGRAM g01ecfe

!      G01ECF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : g01ecf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: df, prob, x
       INTEGER                         :: ifail
       CHARACTER (1)                   :: tail
!      .. Executable Statements ..
       WRITE (nout,*) 'G01ECF Example Program Results'
       WRITE (nout,*)

!      Skip heading in data file
       READ (nin,*)

!      Display titles
       WRITE (nout,*) ' TAIL     X       DF      Probability'
       WRITE (nout,*)

D_LP:  DO
          READ (nin,*,IOSTAT=ifail) tail, x, df
          IF (ifail/=0) THEN
             EXIT D_LP
          END IF

!         Calculate probability
          ifail = -1
          prob = g01ecf(tail,x,df,ifail)
          IF (ifail/=0) THEN
             IF (ifail/=4) THEN
                EXIT D_LP
             END IF
          END IF

!         Display results
          WRITE (nout,99999) tail, x, df, prob
       END DO D_LP

99999  FORMAT (3X,A1,4X,F6.3,F8.1,7X,F7.4)
    END PROGRAM g01ecfe
